Content Formatting Macros for Confluence Server and DC

Release 6.3

6.3.5

17 Sep 2019

Compatible with Confluence Server and Confluence Data Center 6.5.0-7.0.2

Fixes

We strongly recommend customers update to version 6.3.5 of Content Formatting Macros for Confluence as soon as possible. If customers are unable to upgrade at this time, we recommend that they disable the LaTeX macro and the Restful Table macro from the universal plug-in manager.

6.3.4

10 Jul 2019

Compatible with Confluence Server and Confluence Data Center 6.4.0-7.0.2

Fixes

  • Fixed an issue when Iframe macro without a URL caused import tool to hang at 0% (CONTENTF-1036)

  • Fixed documentation links on the configuration menu for Alert, Colgroup Tag, and Tooltip macros

6.3.3

06 Jun 2019

Compatible with Confluence Server and Confluence Data Center 6.2.0-6.15.9

What’s New

  • Reworked Footnotes Macro to make exporting content with footnotes more usable in MS Word and PDF (CONTENTF-306)

Fixes

  • Fixed an issue where line breaks were being ignored with the Highlight Macro (CONTENTF-87)

6.3.2

13 May 2019

Compatible with Confluence Server and Confluence Data Center 6.2.0-6.15.9

Fixes

  • Increased the URL limit to 2000 characters in the Iframe Configuration feature, which fixed an issue where the URL Import Tool would not complete if it encountered a long URL. (CONTENTF-316)

  • Fixed an issue with version 6.3.1 of Content Formatting where the LaTeX macro would not render (CONTENTF-317)

6.3.1

02 May 2019

Compatible with Confluence Server and Confluence Data Center 6.2.0-6.15.9

We strongly recommend customers update to version 6.3.1 of Content Formatting as soon as possible. If customers are unable to upgrade at this time we recommend that they disable the Iframe macro module in the Content Formatting for Confluence section of the Confluence app menu.
  • Added Iframe Macro Configuration feature to resolve security vulnerability

    • Will automatically add the sandbox attribute to all Iframes and give Confluence Administrators the ability to allow, sandbox, or deny iframes.

  • Fixed a security vulnerability (CONTENTF-223)